Page MenuHomePhabricator

Create an 'Universal Code of Conduct Coordinating Committee (U4C)' private wiki
Closed, ResolvedPublic

Description

Reasoning/explanation of purpose: Newly created Universal Code of Conduct Coordinating Committee (U4C) (see here)
Request page: N/A
Language code: en
Site URL: u4c.wikimedia.org (or, if the number causes problems, ucoc.wikimedia.org)
Project name: U4C wiki
Project namespace: Project
Project talk namespace: Project_talk
Project logo: https://commons.wikimedia.org/wiki/File:Wikimedia-logo-update-2016.svg (if a custom one is created we'll change it)
Timezone: default (UTC)
Visibility: Private.

Thanks!

Event Timeline

Change #1040144 had a related patch set uploaded (by Zabe; author: Zabe):

[operations/dns@master] create u4c.wikimedia.org

https://gerrit.wikimedia.org/r/1040144

Change #1040144 merged by Dzahn:

[operations/dns@master] create u4c.wikimedia.org

https://gerrit.wikimedia.org/r/1040144

The number isn't a problem. u4c.wikimedia.org has been added to DNS

Change #1041240 had a related patch set uploaded (by Zabe; author: Zabe):

[operations/puppet@production] Add Apache configuration for u4c.wikimedia.org

https://gerrit.wikimedia.org/r/1041240

Change #1041242 had a related patch set uploaded (by Zabe; author: Zabe):

[operations/puppet@production] Add u4cwiki to private_wikis

https://gerrit.wikimedia.org/r/1041242

Change #1041242 merged by Ladsgroup:

[operations/puppet@production] Add u4cwiki to private_wikis

https://gerrit.wikimedia.org/r/1041242

Mentioned in SAL (#wikimedia-operations) [2024-06-11T17:14:12Z] <rzl> rzl@cumin2002:~$ sudo cumin 'C:profile::mediawiki::webserver' 'disable-puppet T366649'

Change #1041240 merged by RLazarus:

[operations/puppet@production] Add Apache configuration for u4c.wikimedia.org

https://gerrit.wikimedia.org/r/1041240

Mentioned in SAL (#wikimedia-operations) [2024-06-11T17:33:45Z] <rzl> rzl@cumin2002:~$ sudo cumin 'C:profile::mediawiki::webserver' 'enable-puppet T366649'

I restarted sanitarium master on eqiad and codfw in s5 and it picked up the new config. From DBA point of view, this is good to go.

Change #1043213 had a related patch set uploaded (by Zabe; author: Zabe):

[mediawiki/extensions/WikimediaMessages@master] Add messages for U4C wiki

https://gerrit.wikimedia.org/r/1043213

Change #1043213 merged by jenkins-bot:

[mediawiki/extensions/WikimediaMessages@master] Add messages for U4C wiki

https://gerrit.wikimedia.org/r/1043213

Change #1046794 had a related patch set uploaded (by Zabe; author: Zabe):

[operations/mediawiki-config@master] Initial configuration for u4cwiki

https://gerrit.wikimedia.org/r/1046794

Change #1046794 merged by jenkins-bot:

[operations/mediawiki-config@master] Initial configuration for u4cwiki

https://gerrit.wikimedia.org/r/1046794

Mentioned in SAL (#wikimedia-operations) [2024-06-17T23:46:58Z] <zabe> Create an 'Universal Code of Conduct Coordinating Committee (U4C)' private wiki # T366649

Mentioned in SAL (#wikimedia-operations) [2024-06-18T00:02:34Z] <zabe@deploy1002> Finished scap: T366649 (duration: 15m 16s)

Mentioned in SAL (#wikimedia-operations) [2024-06-18T00:05:34Z] <zabe> zabe@mwmaint1002:~$ mwscript extensions/CirrusSearch/maintenance/UpdateSearchIndexConfig.php --wiki=u4cwiki --cluster=all 2>&1 | tee /tmp/u4c.UpdateSearchIndexConfig.log # T366649

@Superpes15 Can you tell me what the first account should be and to which email I should send the initial password? :)

@Superpes15 Can you tell me what the first account should be and to which email I should send the initial password? :)

You can create User:Superpes15 and the email address is superpes15.itwiki@gmail.com

@Superpes15 Do you need local file uploads for this wiki?

@Superpes15 Do you need local file uploads for this wiki?

Yep (as explained on the other task, it would be very useful to have local upload enabled for commission work, thanks) :)

Change #1048055 had a related patch set uploaded (by Zabe; author: Zabe):

[operations/mediawiki-config@master] Enable local uploads on newly created wikis

https://gerrit.wikimedia.org/r/1048055

Change #1048055 merged by jenkins-bot:

[operations/mediawiki-config@master] Enable local uploads on newly created wikis

https://gerrit.wikimedia.org/r/1048055

Mentioned in SAL (#wikimedia-operations) [2024-06-20T22:33:50Z] <zabe@deploy1002> Synchronized wmf-config/InitialiseSettings.php: T361041 T363825 T366649 (duration: 09m 55s)

Zabe claimed this task.

Wiki is live and should be ready to be used. Please tell if anything is missing. :)